Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXfontcache runtime library
Name: 		libXfontcache
Version: 	1.0.5
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXfontcache runtime library

%package devel
Summary: 	X.Org X11 libXfontcache development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

Requires: 	xorg-x11-proto-devel

%description devel
X.Org X11 libXfontcache development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXfontcache.so.1
%{_libdir}/libXfontcache.so.1.0.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXfontcache.a
%endif
%{_libdir}/libXfontcache.so
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/xfontcache.pc
#%dir %{_mandir}/man3x
%{_mandir}/man3/*.3*

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-2
- rebuilt
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- Version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-5
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-4
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.4-3
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
